name: databag
services:
  databag:
    container_name: databag
    image: balzack/databag:0.1.8
    labels:
      icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Databag/icon.png
    ports:
      - target: 7000
        published: "7000"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/databag/data
        target: /var/lib/databag
    x-casaos:
      ports:
        - container: "7000"
          description:
            en_us: rest api port
      volumes:
        - container: /var/lib/databag
          description:
            en_us: database and asset store
    devices: []
    cap_add: []
    command: []
    environment: []
    networks:
      - default
    privileged: false
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 1995M
networks:
  default:
    name: databag_default
x-casaos:
  architectures:
    - amd64
    - arm64
  author: Pierre Balzack
  category: Chat
  description:
    en_us: Databag is a federated chat app for self-hosting that focuses on user
      privacy and security; the service includes clients for iOS, Android, and
      browser.
  developer: balzack
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Databag/icon.png
  main: databag
  port_map: "7000"
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Databag/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Databag/screenshot-2.png
  store_app_id: databag
  tagline:
    en_us: Messenger for the Decentralized Web
  title:
    en_us: Databag
    custom: ""
  hostname: ""
  scheme: http
  index: /
